Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.coherence.servlet.management
Interface HttpSessionManagerMBean

All Known Implementing Classes:
  HttpSessionManager

      public interface HttpSessionManagerMBean

Standard MBean interface that exposes management attributes and operations for web applications that use Coherence*Web for HTTP session management. <p/> During startup, each Coherence*Web web application will register a single instance of the following MBean:

> Managed Bean | ObjectName
> --- | ---
> HttpSessionManagerMBean | `type=HttpSessionManager`, nodeId=cluster node id, appId=web application id

The MBean will be unregistered upon web application shutdown.

Since:
  Coherence 3.1
Author:
  jh 2005.11.23
See Also:
  `Registry.register(String, Object)`, `Registry.unregister(String)`

Field Summary
`static String` | `OBJECT_TYPE` String representing the "type" part of `ObjectName` for the HttpSessionManagerMBean.

Method Summary
`void` | `clearStoredConfiguration()` Removes the stored configuration which is used to check configuration consistency.
`long` | `getAverageReapDuration()` Gets the average reap duration since the statistics was reset.
`long` | `getAverageReapedSessions()` Gets the average number of reaped sessions in a reap cycle since the statistics was reset.
`String` | `getCollectionClassName()` Return the fully qualified class name of the `HttpSessionCollection` implementation in use.
`String` | `getFactoryClassName()` Return the fully qualified class name of the `SessionHelper.Factory` implementation in use.
`Date` | `getLastReapCycle()` Return the start time for the last reap cycle.
`long` | `getLastReapDuration()` Return the time in milliseconds it took for the last reap cycle to finish.
`String` | `getLocalAttributeCacheName()` Return the name of the local cache that stores non-distributed session attributes or null if local session attribute storage is disabled.
`int` | `getLocalAttributeCount()` Return the number of non-distributed session attributes stored in the local session attribute cache or -1 if local session attribute storage is disabled.
`String` | `getLocalSessionCacheName()` Return the name of the local cache that stores non-distributed sessions or null if local session storage is disabled.
`int` | `getLocalSessionCount()` Return the number of non-distributed sessions stored in the local session cache or -1 if local session storage is disabled.
`long` | `getMaxReapDuration()` Gets the maximum reap duration since the statistics was reset.
`long` | `getMaxReapedSessions()` Gets the maximum number of sessions reaped in a reap cycle since the statistics was reset.
`Date` | `getNextReapCycle()` Returns the time for the next reap cycle.
`int` | `getOverflowAverageSize()` Return the average size (in bytes) of the session attributes stored in the "overflow" clustered cache since the last time statistics were reset or -1 if a `SplitHttpSessionCollection` is not in use.
`String` | `getOverflowCacheName()` Return the name of the clustered cache that stores the "large attributes" that exceed a certain size and thus are determined to be more efficiently managed as separate cache entries and not as part of the serialized session object itself.
`int` | `getOverflowMaxSize()` Return the maximum size (in bytes) of a session attribute stored in the "overflow" clustered cache since the last time statistics were reset or -1 if a `SplitHttpSessionCollection` is not in use.
`int` | `getOverflowThreshold()` Return the minimum length (in bytes) that the serialized form of an attribute value must be in order for that attribute value to be stored in the separate "overflow" cache that is reserved for large attributes.
`int` | `getOverflowUpdates()` Return the number of updates to session attributes stored in the "overflow" clustered cache since the last time statistics were reset or -1 if a `SplitHttpSessionCollection` is not in use.
`long` | `getReapedSessions()` Returns the number of expired sessions that were reaped in the last reap cycle.
`long` | `getReapedSessionsTotal()` Returns the number of expired sessions that has been reaped since the statistics was reset.
`String` | `getServletContextCacheName()` Return the name of the clustered cache that stores ServletContext attributes or null if the ServletContext is not clustered.
`String` | `getServletContextName()` Return the name of the web application ServletContext.
`int` | `getSessionAverageLifetime()` Return the average lifetime (in seconds) of session objects invalidated (either due to expiration or to an explicit invalidation) since the last time statistics were reset.
`int` | `getSessionAverageSize()` Return the average size (in bytes) of session objects placed in the session storage clustered cache since the last time statistics were reset.
`String` | `getSessionCacheName()` Return the name of the clustered cache that stores serialized session objects.
`int` | `getSessionIdLength()` Return the length (in characters) of generated session IDs.
`int` | `getSessionMaxSize()` Return the maximum size (in bytes) of a session object placed in the session storage clustered cache since the last time statistics were reset.
`int` | `getSessionMinSize()` Return the minimum size (in bytes) of a session object placed in the session storage clustered cache since the last time statistics were reset.
`int` | `getSessionStickyCount()` Return the number of session objects that are pinned to this instance of the web application or -1 if sticky session optimizations are disabled.
`int` | `getSessionTimeout()` Return the session expiration time (in seconds) or -1 if sessions never expire.
`int` | `getSessionUpdates()` Return the number of updates of session object stored in the session storage clustered cache since the last time statistics were reset.
`void` | `resetStatistics()` Reset the session management statistics.

Field Detail

### OBJECT_TYPE

    static final String OBJECT_TYPE

  String representing the "type" part of `ObjectName` for the HttpSessionManagerMBean.
  See Also:
    Constant Field Values

Method Detail

### getAverageReapDuration

    long getAverageReapDuration()

  Gets the average reap duration since the statistics was reset.
  Returns:
    The average reap duration.

### getAverageReapedSessions

    long getAverageReapedSessions()

  Gets the average number of reaped sessions in a reap cycle since the statistics was reset.
  Returns:
    The average number of reaped sessions.

### getCollectionClassName

    String getCollectionClassName()

  Return the fully qualified class name of the `HttpSessionCollection` implementation in use.
  Returns:
    the value of the `CollectionClassName` attribute

### getFactoryClassName

    String getFactoryClassName()

  Return the fully qualified class name of the `SessionHelper.Factory` implementation in use.
  Returns:
    the value of the `FactoryClassName` attribute

### getLastReapDuration

    long getLastReapDuration()

  Return the time in milliseconds it took for the last reap cycle to finish.
  Returns:
    the value of the `LastReapDuration` attribute

### getLastReapCycle

    Date getLastReapCycle()

  Return the start time for the last reap cycle.
  Returns:
    the value of the `LastReapTime` attribute

### getLocalAttributeCacheName

    String getLocalAttributeCacheName()

  Return the name of the local cache that stores non-distributed session attributes or null if local session attribute storage is disabled.
  Returns:
    the value of the `LocalAttributeCacheName` attribute

### getLocalAttributeCount

    int getLocalAttributeCount()

  Return the number of non-distributed session attributes stored in the local session attribute cache or -1 if local session attribute storage is disabled.
  Returns:
    the value of the `LocalAttributeCount` attribute
  See Also:
    `getLocalAttributeCacheName()`

### getLocalSessionCacheName

    String getLocalSessionCacheName()

  Return the name of the local cache that stores non-distributed sessions or null if local session storage is disabled.
  Returns:
    the value of the `LocalSessionCacheName` attribute

### getLocalSessionCount

    int getLocalSessionCount()

  Return the number of non-distributed sessions stored in the local session cache or -1 if local session storage is disabled.
  Returns:
    the value of the `LocalSessionCount` attribute
  See Also:
    `getLocalSessionCacheName()`

### getMaxReapedSessions

    long getMaxReapedSessions()

  Gets the maximum number of sessions reaped in a reap cycle since the statistics was reset.
  Returns:
    The max number of sessions reaped.

### getMaxReapDuration

    long getMaxReapDuration()

  Gets the maximum reap duration since the statistics was reset.
  Returns:
    The max reap duration.

### getNextReapCycle

    Date getNextReapCycle()

  Returns the time for the next reap cycle.

### getOverflowAverageSize

    int getOverflowAverageSize()

  Return the average size (in bytes) of the session attributes stored in the "overflow" clustered cache since the last time statistics were reset or -1 if a `SplitHttpSessionCollection` is not in use.
  Returns:
    the value of the `OverflowAverageSize` attribute
  See Also:
    `getCollectionClassName()`, `getOverflowCacheName()`, `getOverflowThreshold()`

### getOverflowCacheName

    String getOverflowCacheName()

  Return the name of the clustered cache that stores the "large attributes" that exceed a certain size and thus are determined to be more efficiently managed as separate cache entries and not as part of the serialized session object itself. <p/> If a `SplitHttpSessionCollection` is not in use, null is returned.
  Returns:
    the value of the `OverflowCacheName` attribute
  See Also:
    `getCollectionClassName()`, `getOverflowThreshold()`

### getOverflowMaxSize

    int getOverflowMaxSize()

  Return the maximum size (in bytes) of a session attribute stored in the "overflow" clustered cache since the last time statistics were reset or -1 if a `SplitHttpSessionCollection` is not in use.
  Returns:
    the value of the `OverflowMaxSize` attribute
  See Also:
    `getCollectionClassName()`, `getOverflowCacheName()`, `getOverflowThreshold()`

### getOverflowThreshold

    int getOverflowThreshold()

  Return the minimum length (in bytes) that the serialized form of an attribute value must be in order for that attribute value to be stored in the separate "overflow" cache that is reserved for large attributes. <p/> If a `SplitHttpSessionCollection` is not in use, -1 is returned.
  Returns:
    the value of the `OverflowThreshold` attribute
  See Also:
    `getCollectionClassName()`, `getOverflowCacheName()`

### getOverflowUpdates

    int getOverflowUpdates()

  Return the number of updates to session attributes stored in the "overflow" clustered cache since the last time statistics were reset or -1 if a `SplitHttpSessionCollection` is not in use.
  Returns:
    the value of the `OverflowUpdates` attribute
  See Also:
    `getCollectionClassName()`, `getOverflowCacheName()`, `getOverflowThreshold()`

### getReapedSessions

    long getReapedSessions()

  Returns the number of expired sessions that were reaped in the last reap cycle.
  Returns:
    the value of the `ReapedSessions` attribute

### getReapedSessionsTotal

    long getReapedSessionsTotal()

  Returns the number of expired sessions that has been reaped since the statistics was reset.
  Returns:
    the value of the `ReapedSessionsTotal` attribute

### getSessionAverageLifetime

    int getSessionAverageLifetime()

  Return the average lifetime (in seconds) of session objects invalidated (either due to expiration or to an explicit invalidation) since the last time statistics were reset.
  Returns:
    the value of the `SessionAverageLifetime` attribute

### getSessionAverageSize

    int getSessionAverageSize()

  Return the average size (in bytes) of session objects placed in the session storage clustered cache since the last time statistics were reset.
  Returns:
    the value of the `SessionAverageSize` attribute

### getSessionCacheName

    String getSessionCacheName()

  Return the name of the clustered cache that stores serialized session objects.
  Returns:
    the value of the `SessionCacheName` attribute

### getSessionIdLength

    int getSessionIdLength()

  Return the length (in characters) of generated session IDs.
  Returns:
    the value of the `SessionIdLength` attribute

### getSessionMaxSize

    int getSessionMaxSize()

  Return the maximum size (in bytes) of a session object placed in the session storage clustered cache since the last time statistics were reset.
  Returns:
    the value of the `SessionMaxSize` attribute

### getSessionMinSize

    int getSessionMinSize()

  Return the minimum size (in bytes) of a session object placed in the session storage clustered cache since the last time statistics were reset.
  Returns:
    the value of the `SessionMinSize` attribute

### getSessionStickyCount

    int getSessionStickyCount()

  Return the number of session objects that are pinned to this instance of the web application or -1 if sticky session optimizations are disabled.
  Returns:
    the value of the `SessionStickyCount` attribute

### getSessionTimeout

    int getSessionTimeout()

  Return the session expiration time (in seconds) or -1 if sessions never expire.
  Returns:
    the value of the `SessionTimeout` attribute

### getSessionUpdates

    int getSessionUpdates()

  Return the number of updates of session object stored in the session storage clustered cache since the last time statistics were reset.
  Returns:
    the value of the `SessionUpdates` attribute

### getServletContextCacheName

    String getServletContextCacheName()

  Return the name of the clustered cache that stores ServletContext attributes or null if the ServletContext is not clustered.
  Returns:
    the value of the `ServletContextCacheName` attribute

### getServletContextName

    String getServletContextName()

  Return the name of the web application ServletContext.
  Returns:
    the value of the `ServletContextName` attribute

### resetStatistics

    void resetStatistics()

  Reset the session management statistics.

### clearStoredConfiguration

    void clearStoredConfiguration()

  Removes the stored configuration which is used to check configuration consistency.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.